Description

Supportanfrage

ich benötige im Rahmen der Vorentwicklung des Thema Shadow Mode für FAS/HAF Funktionen Unterstützung zum Thema

Aufzeichnung von GigE Kameras in ADTF.

Konkret bin ich auf der Suche nach ADTF Filter die eine Aufzeichnung von Daten einer GigE Kamera ermöglichen. Können Sie mir

bei der Anfrage weiterhelfen?

Besten Gruß und vielen Dank im Voraus,

Lösung

Wenn es die uEye Kamera von IDS ist, so bietet die ADTF Device Toolbox einen Filter, der dessen API bedient.

Ansonsten kenne ich nur noch die Lösung von Basler, wofür es keine Lösung seitens ADTF selbst gibt, ich aber weiß, dass eine

Umsetzung existiert.

Konkret geht es tatsächlich um eine Kamera von Basler (acA1920-48gc).

 Das ist zwar nicht die gleiche Kamera wie im AADC (siehe Modellauto), sofern sie aber auch auf die pylon5 setzt gibt es dafür

demnach eine Umsetzung und sollte gehen (siehe AADC2017_Software_Description)

Ich wäre jetzt davon ausgegangen, da GigE ein Industrie Standort ist, dass zum empfangen von Bildern alle Kameras

unabhängig vom Hersteller aufgezeichnet werden können

 Die Kamera (bzw. der Treiber) muss ja immer eine API bedienen, die man im ADTF Device Filter anspricht.

IDS hat eine eigene, Basler verwendet hierfür pylon.

Gibt es eine Beispiel Konfiguration der IDS Kamera die man mal testen könnte? Ich hatte in blaue hinein mal in der de device

Toolbox geschaut, aber nix passendes gefunden.

 Eine Bsp. Konfiguration haben wir nicht, du kannst aber einfach den uEye Filter verwenden, sofern eine kompatible Kamera am

Rechner hängt (ansonsten wird das Plugin nicht geladen, siehe Konsole)

Bzw. wie finde ich denn die Lösung für die Basler Kameras von der du sprichst?

 Wie gesagt, in ADTF selbst bzw. der Device TB gibt es hierfür keine Unterstützung.

Durch den AADC ist das aber verfügbar aus deren Entwicklerkreis.

Hierfür kann ich keinen Support anbieten, dich aber an die Stelle verweisen.

Auf Github findest du den Code für eine ADTF 2.x Anbindung
https://shop.digitalwerk.net/produkt/adas-modellfahrzeug-2017/
https://www.audi-autonomous-driving-cup.com/wp-content/uploads/2017/05/AADC2017_Software_Description_v2.2_AADCv1.0.0.pdf
https://github.com/UniAutonom/AADC2017/tree/master/src/aadcDemo/camera/AADC_Basler


Eine Portierung der Komponenten auf ADTF 3.x ist derzeit für die nächste Fahrzeuggeneration im Gange.

History

#1 - 2018-05-02 18:14 - hidden

- Project changed from Public Support to 16

- Status changed from New to In Progress

- Topic set to DeviceTB::Common

- Customer set to PORSCHE

- Department set to ENTWICKLUNG

#2 - 2018-05-03 14:24 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Christoph,

um welche Kamera handelt es sich im speziellen ?

Wenn es die uEye Kamera von IDS ist, so bietet die ADTF Device Toolbox einen Filter, der dessen API bedient.

Ansonsten kenne ich nur noch die Lösung von Basler, wofür es keine Lösung seitens ADTF selbst gibt, ich aber weiß, dass eine Umsetzung existiert.

#3 - 2018-05-03 17:00 - hidden

Hallo,

interessant. Konkret geht es tatsächlich um eine Kamera von Basler (acA1920-48gc).

Ich wäre jetzt davon ausgegangen, da GigE ein Industrie Standort ist, dass zum empfangen von Bildern alle Kameras unabhängig vom Hersteller

aufgezeichnet werden können. Zum steuern der Kamera gibt es dann sicher eine eigene Schnittstelle.

Gibt es eine Beispiel Konfiguration der IDS Kamera die man mal testen könnte? Ich hatte in blaue hinein mal in der de device Toolbox geschaut, aber

nix passendes gefunden.

Bzw. wie finde ich denn die Lösung für die Basler Kameras von der du sprichst?

Besten Gruß,

Christoph

#4 - 2018-05-04 11:49 - hidden

- Subject changed from WG: Support von GigE Kameras in ADTF to Support for Basler GigE Kameras in ADTF

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Not Supported Scope

Hallo Christoph,

Konkret geht es tatsächlich um eine Kamera von Basler (acA1920-48gc).

 Das ist zwar nicht die gleiche Kamera wie im AADC (siehe Modellauto), sofern sie aber auch auf die pylon5 setzt gibt es dafür demnach eine

Umsetzung und sollte gehen (siehe AADC2017_Software_Description)

Ich wäre jetzt davon ausgegangen, da GigE ein Industrie Standort ist, dass zum empfangen von Bildern alle Kameras unabhängig vom

Hersteller aufgezeichnet werden können

 Die Kamera (bzw. der Treiber) muss ja immer eine API bedienen, die man im ADTF Device Filter anspricht.

IDS hat eine eigene, Basler verwendet hierfür pylon.

Gibt es eine Beispiel Konfiguration der IDS Kamera die man mal testen könnte? Ich hatte in blaue hinein mal in der de device Toolbox geschaut,

aber nix passendes gefunden.

 Eine Bsp. Konfiguration haben wir nicht, du kannst aber einfach den uEye Filter verwenden, sofern eine kompatible Kamera am Rechner hängt

(ansonsten wird das Plugin nicht geladen, siehe Konsole)

Bzw. wie finde ich denn die Lösung für die Basler Kameras von der du sprichst?
https://github.com/digitalwerk-aadc/filter-porting
https://shop.digitalwerk.net/produkt/adas-modellfahrzeug-2017/
https://www.audi-autonomous-driving-cup.com/wp-content/uploads/2017/05/AADC2017_Software_Description_v2.2_AADCv1.0.0.pdf


 Wie gesagt, in ADTF selbst bzw. der Device TB gibt es hierfür keine Unterstützung.

Durch den AADC ist das aber verfügbar aus deren Entwicklerkreis.

Hierfür kann ich keinen Support anbieten, dich aber an die Stelle verweisen.

Auf Github findest du den Code für eine ADTF 2.x Anbindung

Eine Portierung der Komponenten auf ADTF 3.x ist derzeit für die nächste Fahrzeuggeneration im Gange.

Wenn du keine Anmerkungen mehr hast, würde ich das Ticket an dieser Stelle abschließen.

#5 - 2018-05-04 11:50 - hidden

- Description updated

#6 - 2018-05-04 17:15 - hidden

Hallo,

ah super. Das geht ja schon in die komplett richtige Richtung.

Direkt auch mit Implementierung. Ich denke eine der beiden Lösungen wird es werden. Entweder die Übernahme des implementierten Filters aus

AADC oder der Wechsel zu uEye Kameras.

Besten Dank :)

Christoph Peusens

#7 - 2018-05-22 08:14 - hidden

- Project changed from 16 to Public Support

- Private changed from Yes to No

#8 - 2018-05-23 13:29 - hidden

- Status changed from To Be Closed to Closed
https://github.com/UniAutonom/AADC2017/tree/master/src/aadcDemo/camera/AADC_Basler
